VTK: vtkMeasurementCubeHandleRepresentation3D Class Reference

| VTK 9.3.1

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkMeasurementCubeHandleRepresentation3D Class Reference

represent a unit cube for measuring/comparing to data. More...

`#include <vtkMeasurementCubeHandleRepresentation3D.h>`

Inheritance diagram for vtkMeasurementCubeHandleRepresentation3D:
[legend]
Collaboration diagram for vtkMeasurementCubeHandleRepresentation3D:
[legend]

## Public Member Functions
virtual vtkAbstractTransform * | GetTransform ()
| Get the transform used to transform the generic handle polydata before placing it in the render window. More...
void | RegisterPickers () override
| Register internal Pickers in the Picking Manager. More...
void | SetWorldPosition (double p[3]) override
| Set the position of the point in world and display coordinates. More...
void | SetDisplayPosition (double p[3]) override
| Set the position of the point in world and display coordinates. More...
vtkPolyData * | GetHandle ()
| Get the handle polydata. More...
void | SetProperty (vtkProperty *)
| Set/Get the handle properties when unselected and selected. More...
void | SetSelectedProperty (vtkProperty *)
| Set/Get the handle properties when unselected and selected. More...
virtual vtkProperty * | GetProperty ()
| Set/Get the handle properties when unselected and selected. More...
virtual vtkProperty * | GetSelectedProperty ()
| Set/Get the handle properties when unselected and selected. More...
void | BuildRepresentation () override
| Methods to make this class properly act like a vtkWidgetRepresentation. More...
void | StartWidgetInteraction (double eventPos[2]) override
| Methods to make this class properly act like a vtkWidgetRepresentation. More...
void | WidgetInteraction (double eventPos[2]) override
| Methods to make this class properly act like a vtkWidgetRepresentation. More...
int | ComputeInteractionState (int X, int Y, int modify=0) override
| Methods to make this class properly act like a vtkWidgetRepresentation. More...
void | ShallowCopy (vtkProp *prop) override
| Methods to make this class behave as a vtkProp. More...
void | DeepCopy (vtkProp *prop) override
| Methods to make this class behave as a vtkProp. More...
void | GetActors (vtkPropCollection *) override
| Methods to make this class behave as a vtkProp. More...
void | ReleaseGraphicsResources (vtkWindow *) override
| Methods to make this class behave as a vtkProp. More...
int | RenderOpaqueGeometry (vtkViewport *viewport) override
| Methods to make this class behave as a vtkProp. More...
int | RenderTranslucentPolygonalGeometry (vtkViewport *viewport) override
| Methods to make this class behave as a vtkProp. More...
vtkTypeBool | HasTranslucentPolygonalGeometry () override
| Methods to make this class behave as a vtkProp. More...
double * | GetBounds () override
| Methods to make this class behave as a vtkProp. More...
virtual void | SetLabelVisibility (vtkTypeBool)
| A label may be associated with the cube. More...
virtual vtkTypeBool | GetLabelVisibility ()
| A label may be associated with the cube. More...
virtual void | LabelVisibilityOn ()
| A label may be associated with the cube. More...
virtual void | LabelVisibilityOff ()
| A label may be associated with the cube. More...
virtual void | SetSelectedLabelVisibility (vtkTypeBool)
| A label may be associated with the cube. More...
virtual vtkTypeBool | GetSelectedLabelVisibility ()
| A label may be associated with the cube. More...
virtual void | SelectedLabelVisibilityOn ()
| A label may be associated with the cube. More...
virtual void | SelectedLabelVisibilityOff ()
| A label may be associated with the cube. More...
virtual void | SetLabelTextInput (const char *label)
| A label may be associated with the cube. More...
virtual char * | GetLabelTextInput ()
| A label may be associated with the cube. More...
virtual vtkBillboardTextActor3D * | GetLabelText ()
| Get the label text actor. More...
virtual void | SetHandleVisibility (vtkTypeBool)
| Toggle the visibility of the handle on and off. More...
virtual vtkTypeBool | GetHandleVisibility ()
| Toggle the visibility of the handle on and off. More...
virtual void | HandleVisibilityOn ()
| Toggle the visibility of the handle on and off. More...
virtual void | HandleVisibilityOff ()
| Toggle the visibility of the handle on and off. More...
void | Highlight (int highlight) override
| Toggle highlighting (used when the cube is selected). More...
virtual void | SetSmoothMotion (vtkTypeBool)
| Turn on/off smooth motion of the handle. More...
virtual vtkTypeBool | GetSmoothMotion ()
| Turn on/off smooth motion of the handle. More...
virtual void | SmoothMotionOn ()
| Turn on/off smooth motion of the handle. More...
virtual void | SmoothMotionOff ()
| Turn on/off smooth motion of the handle. More...
void | SetSideLength (double)
| Set the length of a side of the cube (default is 1). More...
virtual double | GetSideLength ()
| Set the length of a side of the cube (default is 1). More...
virtual void | SetAdaptiveScaling (vtkTypeBool)
| Turn on/off adaptive scaling for the cube. More...
virtual vtkTypeBool | GetAdaptiveScaling ()
| Turn on/off adaptive scaling for the cube. More...
virtual void | AdaptiveScalingOn ()
| Turn on/off adaptive scaling for the cube. More...
virtual void | AdaptiveScalingOff ()
| Turn on/off adaptive scaling for the cube. More...
virtual void | SetRescaleFactor (double)
| Set/Get the rescaling increment for the cube. More...
virtual double | GetRescaleFactor ()
| Set/Get the rescaling increment for the cube. More...
void | SetMinRelativeCubeScreenArea (double)
| Set the min/max cube representational area relative to the render window area. More...
virtual double | GetMinRelativeCubeScreenArea ()
| Set the min/max cube representational area relative to the render window area. More...
void | SetMaxRelativeCubeScreenArea (double)
| Set the min/max cube representational area relative to the render window area. More...
virtual double | GetMaxRelativeCubeScreenArea ()
| Set the min/max cube representational area relative to the render window area. More...
virtual void | SetLengthUnit (const char *)
| Set the label for the unit of length of a side of the cube. More...
virtual char * | GetLengthUnit ()
| Set the label for the unit of length of a side of the cube. More...
Public Member Functions inherited from vtkHandleRepresentation
virtual int | CheckConstraint (vtkRenderer *renderer, double pos[2])
| Method has to be overridden in the subclasses which has constraints on placing the handle (Ex. More...
vtkMTimeType | GetMTime () override
| Overload the superclasses' GetMTime() because the internal vtkCoordinates are used to keep the state of the representation. More...
virtual void | SetDisplayPosition (double pos[2])
| Handles usually have their coordinates set in display coordinates (generally by an associated widget) and internally maintain the position in world coordinates. More...
virtual void | GetDisplayPosition (double pos[2])
| Handles usually have their coordinates set in display coordinates (generally by an associated widget) and internally maintain the position in world coordinates. More...
virtual double * | GetDisplayPosition ()
| Handles usually have their coordinates set in display coordinates (generally by an associated widget) and internally maintain the position in world coordinates. More...
virtual void | GetWorldPosition (double pos[3])
| Handles usually have their coordinates set in display coordinates (generally by an associated widget) and internally maintain the position in world coordinates. More...
virtual double * | GetWorldPosition ()
| Handles usually have their coordinates set in display coordinates (generally by an associated widget) and internally maintain the position in world coordinates. More...
virtual void | SetTolerance (int)
| The tolerance representing the distance to the widget (in pixels) in which the cursor is considered near enough to the widget to be active. More...
virtual int | GetTolerance ()
| The tolerance representing the distance to the widget (in pixels) in which the cursor is considered near enough to the widget to be active. More...
virtual void | SetActiveRepresentation (vtkTypeBool)
| Flag controls whether the widget becomes visible when the mouse pointer moves close to it (i.e., the widget becomes active). More...
virtual vtkTypeBool | GetActiveRepresentation ()
| Flag controls whether the widget becomes visible when the mouse pointer moves close to it (i.e., the widget becomes active). More...
virtual void | ActiveRepresentationOn ()
| Flag controls whether the widget becomes visible when the mouse pointer moves close to it (i.e., the widget becomes active). More...
virtual void | ActiveRepresentationOff ()
| Flag controls whether the widget becomes visible when the mouse pointer moves close to it (i.e., the widget becomes active). More...
virtual void | SetInteractionState (int)
| The interaction state may be set from a widget (e.g., HandleWidget) or other object. More...
virtual void | SetConstrained (vtkTypeBool)
| Specify whether any motions (such as scale, translate, etc.) are constrained in some way (along an axis, etc.) Widgets can use this to control the resulting motion. More...
virtual vtkTypeBool | GetConstrained ()
| Specify whether any motions (such as scale, translate, etc.) are constrained in some way (along an axis, etc.) Widgets can use this to control the resulting motion. More...
virtual void | ConstrainedOn ()
| Specify whether any motions (such as scale, translate, etc.) are constrained in some way (along an axis, etc.) Widgets can use this to control the resulting motion. More...
virtual void | ConstrainedOff ()
| Specify whether any motions (such as scale, translate, etc.) are constrained in some way (along an axis, etc.) Widgets can use this to control the resulting motion. More...
void | SetRenderer (vtkRenderer *ren) override
| Methods to make this class properly act like a vtkWidgetRepresentation. More...
virtual void | SetPointPlacer (vtkPointPlacer *)
| Set/Get the point placer. More...
virtual vtkPointPlacer * | GetPointPlacer ()
| Set/Get the point placer. More...
virtual void | GetTranslationVector (const double *p1, const double *p2, double *v) const
| Gets the translation vector. More...
virtual void | Translate (const double *p1, const double *p2)
| Translates world position by vector p1p2 projected on the constraint axis if any. More...
virtual void | Translate (const double *v)
| Translates world position by vector v projected on the constraint axis if any. More...
virtual int | GetTranslationAxis ()
| Gets/Sets the constraint axis for translations. More...
virtual void | SetTranslationAxis (int)
| Gets/Sets the constraint axis for translations. More...
void | SetXTranslationAxisOn ()
| Toggles constraint translation axis on/off. More...
void | SetYTranslationAxisOn ()
| Toggles constraint translation axis on/off. More...
void | SetZTranslationAxisOn ()
| Toggles constraint translation axis on/off. More...
void | SetCustomTranslationAxisOn ()
| Toggles constraint translation axis on/off. More...
void | SetTranslationAxisOff ()
| Toggles constraint translation axis on/off. More...
virtual double * | GetCustomTranslationAxis ()
| Get/Set the translation axis used when vtkHandleRepresentation::TranslationAxis is set to Axis::Custom. More...
virtual void | GetCustomTranslationAxis (double &, double &, double &)
| Get/Set the translation axis used when vtkHandleRepresentation::TranslationAxis is set to Axis::Custom. More...
virtual void | GetCustomTranslationAxis (double[3])
| Get/Set the translation axis used when vtkHandleRepresentation::TranslationAxis is set to Axis::Custom. More...
virtual void | SetCustomTranslationAxis (double, double, double)
| Get/Set the translation axis used when vtkHandleRepresentation::TranslationAxis is set to Axis::Custom. More...
virtual void | SetCustomTranslationAxis (double[3])
| Get/Set the translation axis used when vtkHandleRepresentation::TranslationAxis is set to Axis::Custom. More...
bool | IsTranslationConstrained ()
| Returns true if ConstrainedAxis. More...
vtkHandleRepresentation * | NewInstance () const
| Standard methods for instances of this class. More...
Public Member Functions inherited from vtkWidgetRepresentation
virtual void | PlaceWidget (double vtkNotUsed(bounds)[6])
| The following is a suggested API for widget representations. More...
virtual void | EndWidgetInteraction (double newEventPos[2])
virtual int | GetInteractionState ()
virtual void | Highlight (int vtkNotUsed(highlightOn))
double * | GetBounds () override
| Methods to make this class behave as a vtkProp. More...
void | ShallowCopy (vtkProp *prop) override
| Shallow copy of this vtkProp. More...
void | GetActors (vtkPropCollection *) override
| For some exporters and other other operations we must be able to collect all the actors or volumes. More...
void | GetActors2D (vtkPropCollection *) override
void | GetVolumes (vtkPropCollection *) override
void | ReleaseGraphicsResources (vtkWindow *) override
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE Release any graphics resources that are being consumed by this actor. More...
int | RenderOverlay (vtkViewport *vtkNotUsed(viewport)) override
int | RenderOpaqueGeometry (vtkViewport *vtkNotUsed(viewport)) override
int | RenderTranslucentPolygonalGeometry (vtkViewport *vtkNotUsed(viewport)) override
int | RenderVolumetricGeometry (vtkViewport *vtkNotUsed(viewport)) override
vtkTypeBool | HasTranslucentPolygonalGeometry () override
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS Does this prop have some translucent polygonal geometry? This method is called during the rendering process to know if there is some translucent polygonal geometry. More...
virtual void | UnRegisterPickers ()
| Unregister internal pickers from the Picking Manager. More...
virtual void | PickingManagedOn ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | PickingManagedOff ()
| Enable/Disable the use of a manager to process the picking. More...
void | SetPickingManaged (bool managed)
| Enable/Disable the use of a manager to process the picking. More...
virtual bool | GetPickingManaged ()
| Enable/Disable the use of a manager to process the picking. More...
virtual vtkRenderer * | GetRenderer ()
| Subclasses of vtkWidgetRepresentation must implement these methods. More...
virtual void | StartComplexInteraction (vtkRenderWindowInteractor *, vtkAbstractWidget *, unsigned long, void *)
virtual void | ComplexInteraction (vtkRenderWindowInteractor *, vtkAbstractWidget *, unsigned long, void *)
virtual void | EndComplexInteraction (vtkRenderWindowInteractor *, vtkAbstractWidget *, unsigned long, void *)
virtual int | ComputeComplexInteractionState (vtkRenderWindowInteractor *iren, vtkAbstractWidget *widget, unsigned long event, void *callData, int modify=0)
virtual void | SetPlaceFactor (double)
| Set/Get a factor representing the scaling of the widget upon placement (via the PlaceWidget() method). More...
virtual double | GetPlaceFactor ()
| Set/Get a factor representing the scaling of the widget upon placement (via the PlaceWidget() method). More...
virtual void | SetHandleSize (double)
| Set/Get the factor that controls the size of the handles that appear as part of the widget (if any). More...
virtual double | GetHandleSize ()
| Set/Get the factor that controls the size of the handles that appear as part of the widget (if any). More...
virtual vtkTypeBool | GetNeedToRender ()
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
virtual void | SetNeedToRender (vtkTypeBool)
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
virtual void | NeedToRenderOn ()
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
virtual void | NeedToRenderOff ()
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
vtkWidgetRepresentation * | NewInstance () const
| Standard methods for instances of this class. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Standard methods for instances of this class. More...
Public Member Functions inherited from vtkProp
vtkProp * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | Pick ()
| Method fires PickEvent if the prop is picked. More...
virtual vtkMTimeType | GetRedrawMTime ()
| Return the mtime of anything that would cause the rendered image to appear differently. More...
virtual void | PokeMatrix (vtkMatrix4x4 *vtkNotUsed(matrix))
| These methods are used by subclasses to place a matrix (if any) in the prop prior to rendering. More...
virtual vtkMatrix4x4 * | GetMatrix ()
virtual bool | HasKeys (vtkInformation *requiredKeys)
| Tells if the prop has all the required keys. More...
virtual int | RenderVolumetricGeometry (vtkViewport *)
virtual int | RenderOverlay (vtkViewport *)
virtual bool | RenderFilteredOpaqueGeometry (vtkViewport *v, vtkInformation *requiredKeys)
| Render the opaque geometry only if the prop has all the requiredKeys. More...
virtual bool | RenderFilteredTranslucentPolygonalGeometry (vtkViewport *v, vtkInformation *requiredKeys)
| Render the translucent polygonal geometry only if the prop has all the requiredKeys. More...
virtual bool | RenderFilteredVolumetricGeometry (vtkViewport *v, vtkInformation *requiredKeys)
| Render the volumetric geometry only if the prop has all the requiredKeys. More...
virtual bool | RenderFilteredOverlay (vtkViewport *v, vtkInformation *requiredKeys)
| Render in the overlay of the viewport only if the prop has all the requiredKeys. More...
virtual vtkTypeBool | HasOpaqueGeometry ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS Does this prop have some opaque geometry? This method is called during the rendering process to know if there is some opaque geometry. More...
virtual double | GetEstimatedRenderTime (vtkViewport *)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS The EstimatedRenderTime may be used to select between different props, for example in LODProp it is used to select the level-of-detail. More...
virtual double | GetEstimatedRenderTime ()
virtual void | SetEstimatedRenderTime (double t)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS This method is used by, for example, the vtkLODProp3D in order to initialize the estimated render time at start-up to some user defined value. More...
virtual void | RestoreEstimatedRenderTime ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS When the EstimatedRenderTime is first set to 0.0 (in the SetAllocatedRenderTime method) the old value is saved. More...
virtual void | AddEstimatedRenderTime (double t, vtkViewport *vtkNotUsed(vp))
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS This method is intended to allow the renderer to add to the EstimatedRenderTime in props that require information that the renderer has in order to do this. More...
void | SetRenderTimeMultiplier (double t)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Get/Set the multiplier for the render time. More...
virtual double | GetRenderTimeMultiplier ()
virtual void | BuildPaths (vtkAssemblyPaths *paths, vtkAssemblyPath *path)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Used to construct assembly paths and perform part traversal. More...
virtual bool | GetSupportsSelection ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Used by vtkHardwareSelector to determine if the prop supports hardware selection. More...
virtual void | ProcessSelectorPixelBuffers (vtkHardwareSelector *, std::vector< unsigned int > &)
| allows a prop to update a selections color buffers More...
virtual void | SetVisibility (vtkTypeBool)
| Set/Get visibility of this vtkProp. More...
virtual vtkTypeBool | GetVisibility ()
| Set/Get visibility of this vtkProp. More...
virtual void | VisibilityOn ()
| Set/Get visibility of this vtkProp. More...
virtual void | VisibilityOff ()
| Set/Get visibility of this vtkProp. More...
virtual void | SetPickable (vtkTypeBool)
| Set/Get the pickable instance variable. More...
virtual vtkTypeBool | GetPickable ()
| Set/Get the pickable instance variable. More...
virtual void | PickableOn ()
| Set/Get the pickable instance variable. More...
virtual void | PickableOff ()
| Set/Get the pickable instance variable. More...
virtual void | SetDragable (vtkTypeBool)
| Set/Get the value of the dragable instance variable. More...
virtual vtkTypeBool | GetDragable ()
| Set/Get the value of the dragable instance variable. More...
virtual void | DragableOn ()
| Set/Get the value of the dragable instance variable. More...
virtual void | DragableOff ()
| Set/Get the value of the dragable instance variable. More...
virtual void | SetUseBounds (bool)
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual bool | GetUseBounds ()
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual void | UseBoundsOn ()
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual void | UseBoundsOff ()
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual void | InitPathTraversal ()
| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). More...
virtual vtkAssemblyPath * | GetNextPath ()
| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). More...
virtual int | GetNumberOfPaths ()
| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). More...
virtual vtkInformation * | GetPropertyKeys ()
| Set/Get property keys. More...
virtual void | SetPropertyKeys (vtkInformation *keys)
| Set/Get property keys. More...
virtual void | SetAllocatedRenderTime (double t, vtkViewport *vtkNotUsed(v))
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS The renderer may use the allocated rendering time to determine how to render this actor. More...
virtual double | GetAllocatedRenderTime ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS. More...
virtual int | GetNumberOfConsumers ()
| Get the number of consumers. More...
void | AddConsumer (vtkObject *c)
| Add or remove or get or check a consumer,. More...
void | RemoveConsumer (vtkObject *c)
| Add or remove or get or check a consumer,. More...
vtkObject * | GetConsumer (int i)
| Add or remove or get or check a consumer,. More...
int | IsConsumer (vtkObject *c)
| Add or remove or get or check a consumer,. More...
virtual void | SetShaderProperty (vtkShaderProperty *property)
| Set/Get the shader property. More...
virtual vtkShaderProperty * | GetShaderProperty ()
| Set/Get the shader property. More...
virtual bool | IsRenderingTranslucentPolygonalGeometry ()
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkMeasurementCubeHandleRepresentation3D * | New ()
| Instantiate this class. More...
Static Public Member Functions inherited from vtkHandleRepresentation
static vtkTypeBool | IsTypeOf (const char *type)
| Standard methods for instances of this class. More...
static vtkHandleRepresentation * | SafeDownCast (vtkObjectBase *o)
| Standard methods for instances of this class. More...
Static Public Member Functions inherited from vtkWidgetRepresentation
static vtkTypeBool | IsTypeOf (const char *type)
| Standard methods for instances of this class. More...
static vtkWidgetRepresentation * | SafeDownCast (vtkObjectBase *o)
| Standard methods for instances of this class. More...
Static Public Member Functions inherited from vtkProp
static vtkTypeBool | IsTypeOf (const char *type)
static vtkProp * | SafeDownCast (vtkObjectBase *o)
static vtkInformationIntegerKey * | GeneralTextureUnit ()
| Optional Key Indicating the texture unit for general texture mapping Old OpenGL was a state machine where you would push or pop items. More...
static vtkInformationDoubleVectorKey * | GeneralTextureTransform ()
| Optional Key Indicating the texture transform for general texture mapping Old OpenGL was a state machine where you would push or pop items. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
| vtkMeasurementCubeHandleRepresentation3D ()
| ~vtkMeasurementCubeHandleRepresentation3D () override
virtual void | Scale (const double *p1, const double *p2, const double eventPos[2])
virtual void | MoveFocus (const double *p1, const double *p2)
void | CreateDefaultProperties ()
void | ScaleIfNecessary (vtkViewport *)
| If adaptive scaling is enabled, rescale the cube so that its representational area in the display window falls between `MinRelativeCubeScreenArea` and `MaxRelativeCubeScreenArea`. More...
void | MoveFocusRequest (const double *p1, const double *p2, const double eventPos[2], double requestedDisplayPos[3])
| Given a motion vector defined by p1 --> p2 (p1 and p2 are in world coordinates), the new display position of the handle center is populated into requestedDisplayPos. More...
virtual void | SetUniformScale (double scale)
| The handle may be scaled uniformly in all three dimensions using this API. More...
virtual void | UpdateHandle ()
| Update the actor position. More...
virtual void | UpdateLabel ()
| Opportunity to update the label position and text during each render. More...
Protected Member Functions inherited from vtkHandleRepresentation
| vtkHandleRepresentation ()
| ~vtkHandleRepresentation () override
Protected Member Functions inherited from vtkWidgetRepresentation
| vtkWidgetRepresentation ()
| ~vtkWidgetRepresentation () override
void | AdjustBounds (double bounds[6], double newBounds[6], double center[3])
vtkPickingManager * | GetPickingManager ()
| Return the picking manager associated on the context on which the widget representation currently belong. More...
vtkAssemblyPath * | GetAssemblyPath (double X, double Y, double Z, vtkAbstractPropPicker *picker)
| Proceed to a pick, whether through the PickingManager if the picking is managed or directly using the registered picker, and return the assembly path. More...
vtkAssemblyPath * | GetAssemblyPath3DPoint (double pos[3], vtkAbstractPropPicker *picker)
bool | NearbyEvent (int X, int Y, double bounds[6])
double | SizeHandlesRelativeToViewport (double factor, double pos[3])
double | SizeHandlesInPixels (double factor, double pos[3])
void | UpdatePropPose (vtkProp3D *prop, const double *pos1, const double *orient1, const double *pos2, const double *orient2)
Protected Member Functions inherited from vtkProp
| vtkProp ()
| ~vtkProp () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
vtkActor * | Actor
vtkPolyDataMapper * | Mapper
vtkTransformPolyDataFilter * | HandleTransformFilter
vtkMatrixToLinearTransform * | HandleTransform
vtkMatrix4x4 * | HandleTransformMatrix
vtkCellPicker * | HandlePicker
double | LastPickPosition [3]
double | LastEventPosition [2]
vtkProperty * | Property
vtkProperty * | SelectedProperty
int | WaitingForMotion
int | WaitCount
vtkTypeBool | HandleVisibility
double | Offset [3]
vtkTypeBool | AdaptiveScaling
double | RescaleFactor
double | MinRelativeCubeScreenArea
double | MaxRelativeCubeScreenArea
double | SideLength
char * | LengthUnit
vtkTypeBool | LabelVisibility
vtkTypeBool | SelectedLabelVisibility
vtkBillboardTextActor3D * | LabelText
bool | LabelAnnotationTextScaleInitialized
vtkTypeBool | SmoothMotion
Protected Attributes inherited from vtkHandleRepresentation
int | Tolerance = 15
vtkTypeBool | ActiveRepresentation = false
vtkTypeBool | Constrained = false
vtkNew< vtkCoordinate > | DisplayPosition
vtkNew< vtkCoordinate > | WorldPosition
vtkTimeStamp | DisplayPositionTime
vtkTimeStamp | WorldPositionTime
vtkPointPlacer * | PointPlacer
int | TranslationAxis = Axis::NONE
double | CustomTranslationAxis [3] = { 1.0, 0.0, 0.0 }
Protected Attributes inherited from vtkWidgetRepresentation
vtkWeakPointer< vtkRenderer > | Renderer
int | InteractionState
double | StartEventPosition [3]
double | PlaceFactor
int | Placed
double | InitialBounds [6]
double | InitialLength
int | ValidPick
bool | PickingManaged
double | HandleSize
vtkTypeBool | NeedToRender
vtkTimeStamp | BuildTime
vtkNew< vtkTransform > | TempTransform
vtkNew< vtkMatrix4x4 > | TempMatrix
Protected Attributes inherited from vtkProp
vtkTypeBool | Visibility
vtkTypeBool | Pickable
vtkTypeBool | Dragable
bool | UseBounds
double | AllocatedRenderTime
double | EstimatedRenderTime
double | SavedEstimatedRenderTime
double | RenderTimeMultiplier
int | NumberOfConsumers
vtkObject ** | Consumers
vtkAssemblyPaths * | Paths
vtkInformation * | PropertyKeys
vtkShaderProperty * | ShaderProperty
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers
typedef vtkHandleRepresentation | Superclass
| Standard methods for instances of this class. More...
static vtkTypeBool | IsTypeOf (const char *type)
| Standard methods for instances of this class. More...
static vtkMeasurementCubeHandleRepresentation3D * | SafeDownCast (vtkObjectBase *o)
| Standard methods for instances of this class. More...
virtual vtkTypeBool | IsA (const char *type)
| Standard methods for instances of this class. More...
vtkMeasurementCubeHandleRepresentation3D * | NewInstance () const
| Standard methods for instances of this class. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Standard methods for instances of this class. More...
virtual vtkObjectBase * | NewInstanceInternal () const
| Standard methods for instances of this class. More...

## Additional Inherited Members
Public Types inherited from vtkHandleRepresentation
enum | InteractionStateType { Outside = 0 , Nearby , Selecting , Translating , Scaling }
typedef InteractionStateType | _InteractionState
typedef vtkWidgetRepresentation | Superclass
| Standard methods for instances of this class. More...
Public Types inherited from vtkWidgetRepresentation
enum | Axis { NONE = -1 , XAxis = 0 , YAxis = 1 , ZAxis = 2 , Custom = 3 }
| Axis labels. More...
typedef vtkProp | Superclass
| Standard methods for instances of this class. More...
Public Types inherited from vtkProp
typedef vtkObject | Superclass
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

represent a unit cube for measuring/comparing to data.

See also
  vtkPolygonalHandleRepresentation3D vtkHandleRepresentation vtkHandleWidget

Tests:
  vtkMeasurementCubeHandleRepresentation3D (Tests)

Definition at line 33 of file vtkMeasurementCubeHandleRepresentation3D.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkHandleRepresentation vtkMeasurementCubeHandleRepresentation3D::Superclass

Standard methods for instances of this class.

Definition at line 46 of file vtkMeasurementCubeHandleRepresentation3D.h.

## Constructor & Destructor Documentation

## ◆ vtkMeasurementCubeHandleRepresentation3D()

vtkMeasurementCubeHandleRepresentation3D::vtkMeasurementCubeHandleRepresentation3D | ( |  | ) |
| protected

## ◆ ~vtkMeasurementCubeHandleRepresentation3D()

vtkMeasurementCubeHandleRepresentation3D::~vtkMeasurementCubeHandleRepresentation3D | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkMeasurementCubeHandleRepresentation3D* vtkMeasurementCubeHandleRepresentation3D::New | ( |  | ) |
| static

Instantiate this class.

## ◆ IsTypeOf()

static vtkTypeBool vtkMeasurementCubeHandleRepresentation3D::IsTypeOf | ( | const char * | type | ) |
| static

Standard methods for instances of this class.

## ◆ IsA()

virtual vtkTypeBool vtkMeasurementCubeHandleRepresentation3D::IsA | ( | const char * | type | ) |
| virtual

Standard methods for instances of this class.

Reimplemented from vtkHandleRepresentation.

## ◆ SafeDownCast()

static vtkMeasurementCubeHandleRepresentation3D* vtkMeasurementCubeHandleRepresentation3D::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

Standard methods for instances of this class.

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkMeasurementCubeHandleRepresentation3D::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Standard methods for instances of this class.

Reimplemented from vtkHandleRepresentation.

## ◆ NewInstance()

vtkMeasurementCubeHandleRepresentation3D* vtkMeasurementCubeHandleRepresentation3D::NewInstance | ( |  | ) | const

Standard methods for instances of this class.

## ◆ PrintSelf()

void vtkMeasurementCubeHandleRepresentation3D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Standard methods for instances of this class.

Reimplemented from vtkHandleRepresentation.

## ◆ SetWorldPosition()

void vtkMeasurementCubeHandleRepresentation3D::SetWorldPosition | ( | double | p[3] | ) |
| overridevirtual

Set the position of the point in world and display coordinates.

Reimplemented from vtkHandleRepresentation.

## ◆ SetDisplayPosition()

void vtkMeasurementCubeHandleRepresentation3D::SetDisplayPosition | ( | double | p[3] | ) |
| override

Set the position of the point in world and display coordinates.

## ◆ GetHandle()

vtkPolyData* vtkMeasurementCubeHandleRepresentation3D::GetHandle | ( |  | ) |

Get the handle polydata.

## ◆ SetProperty()

void vtkMeasurementCubeHandleRepresentation3D::SetProperty | ( | vtkProperty * |  | ) |

Set/Get the handle properties when unselected and selected.

## ◆ SetSelectedProperty()

void vtkMeasurementCubeHandleRepresentation3D::SetSelectedProperty | ( | vtkProperty * |  | ) |

Set/Get the handle properties when unselected and selected.

## ◆ GetProperty()

virtual vtkProperty* vtkMeasurementCubeHandleRepresentation3D::GetProperty | ( |  | ) |
| virtual

Set/Get the handle properties when unselected and selected.

## ◆ GetSelectedProperty()

virtual vtkProperty* vtkMeasurementCubeHandleRepresentation3D::GetSelectedProperty | ( |  | ) |
| virtual

Set/Get the handle properties when unselected and selected.

## ◆ GetTransform()

virtual vtkAbstractTransform* vtkMeasurementCubeHandleRepresentation3D::GetTransform | ( |  | ) |
| virtual

Get the transform used to transform the generic handle polydata before placing it in the render window.

## ◆ BuildRepresentation()

void vtkMeasurementCubeHandleRepresentation3D::BuildRepresentation | ( |  | ) |
| overridevirtual

Methods to make this class properly act like a vtkWidgetRepresentation.

Implements vtkWidgetRepresentation.

## ◆ StartWidgetInteraction()

void vtkMeasurementCubeHandleRepresentation3D::StartWidgetInteraction | ( | double | eventPos[2] | ) |
| overridevirtual

Methods to make this class properly act like a vtkWidgetRepresentation.

Reimplemented from vtkWidgetRepresentation.

## ◆ WidgetInteraction()

void vtkMeasurementCubeHandleRepresentation3D::WidgetInteraction | ( | double | eventPos[2] | ) |
| overridevirtual

Methods to make this class properly act like a vtkWidgetRepresentation.

Reimplemented from vtkWidgetRepresentation.

## ◆ ComputeInteractionState()

int vtkMeasurementCubeHandleRepresentation3D::ComputeInteractionState | ( | int | X,
|  | int | Y,
|  | int | modify = `0`
| ) |  |
| overridevirtual

Methods to make this class properly act like a vtkWidgetRepresentation.

Reimplemented from vtkWidgetRepresentation.

## ◆ ShallowCopy()

void vtkMeasurementCubeHandleRepresentation3D::ShallowCopy | ( | vtkProp * | prop | ) |
| overridevirtual

Methods to make this class behave as a vtkProp.

Reimplemented from vtkHandleRepresentation.

## ◆ DeepCopy()

void vtkMeasurementCubeHandleRepresentation3D::DeepCopy | ( | vtkProp * | prop | ) |
| overridevirtual

Methods to make this class behave as a vtkProp.

Reimplemented from vtkHandleRepresentation.

## ◆ GetActors()

void vtkMeasurementCubeHandleRepresentation3D::GetActors | ( | vtkPropCollection * |  | ) |
| overridevirtual

Methods to make this class behave as a vtkProp.

Reimplemented from vtkProp.

## ◆ ReleaseGraphicsResources()

void vtkMeasurementCubeHandleRepresentation3D::ReleaseGraphicsResources | ( | vtkWindow * |  | ) |
| overridevirtual

Methods to make this class behave as a vtkProp.

Reimplemented from vtkProp.

## ◆ RenderOpaqueGeometry()

int vtkMeasurementCubeHandleRepresentation3D::RenderOpaqueGeometry | ( | vtkViewport * | viewport | ) |
| overridevirtual

Methods to make this class behave as a vtkProp.

Reimplemented from vtkProp.

## ◆ RenderTranslucentPolygonalGeometry()

int vtkMeasurementCubeHandleRepresentation3D::RenderTranslucentPolygonalGeometry | ( | vtkViewport * | viewport | ) |
| overridevirtual

Methods to make this class behave as a vtkProp.

Reimplemented from vtkProp.

## ◆ HasTranslucentPolygonalGeometry()

vtkTypeBool vtkMeasurementCubeHandleRepresentation3D::HasTranslucentPolygonalGeometry | ( |  | ) |
| overridevirtual

Methods to make this class behave as a vtkProp.

Reimplemented from vtkProp.

## ◆ GetBounds()

double* vtkMeasurementCubeHandleRepresentation3D::GetBounds | ( |  | ) |
| overridevirtual

Methods to make this class behave as a vtkProp.

Reimplemented from vtkProp.

## ◆ SetLabelVisibility()

virtual void vtkMeasurementCubeHandleRepresentation3D::SetLabelVisibility | ( | vtkTypeBool |  | ) |
| virtual

A label may be associated with the cube.

The string can be set via SetLabelText. The visibility of the label can be turned on / off.

## ◆ GetLabelVisibility()

virtual vtkTypeBool vtkMeasurementCubeHandleRepresentation3D::GetLabelVisibility | ( |  | ) |
| virtual

A label may be associated with the cube.

The string can be set via SetLabelText. The visibility of the label can be turned on / off.

## ◆ LabelVisibilityOn()

virtual void vtkMeasurementCubeHandleRepresentation3D::LabelVisibilityOn | ( |  | ) |
| virtual

A label may be associated with the cube.

The string can be set via SetLabelText. The visibility of the label can be turned on / off.

## ◆ LabelVisibilityOff()

virtual void vtkMeasurementCubeHandleRepresentation3D::LabelVisibilityOff | ( |  | ) |
| virtual

A label may be associated with the cube.

The string can be set via SetLabelText. The visibility of the label can be turned on / off.

## ◆ SetSelectedLabelVisibility()

virtual void vtkMeasurementCubeHandleRepresentation3D::SetSelectedLabelVisibility | ( | vtkTypeBool |  | ) |
| virtual

A label may be associated with the cube.

The string can be set via SetLabelText. The visibility of the label can be turned on / off.

## ◆ GetSelectedLabelVisibility()

virtual vtkTypeBool vtkMeasurementCubeHandleRepresentation3D::GetSelectedLabelVisibility | ( |  | ) |
| virtual

A label may be associated with the cube.

The string can be set via SetLabelText. The visibility of the label can be turned on / off.

## ◆ SelectedLabelVisibilityOn()

virtual void vtkMeasurementCubeHandleRepresentation3D::SelectedLabelVisibilityOn | ( |  | ) |
| virtual

A label may be associated with the cube.

The string can be set via SetLabelText. The visibility of the label can be turned on / off.

## ◆ SelectedLabelVisibilityOff()

virtual void vtkMeasurementCubeHandleRepresentation3D::SelectedLabelVisibilityOff | ( |  | ) |
| virtual

A label may be associated with the cube.

The string can be set via SetLabelText. The visibility of the label can be turned on / off.

## ◆ SetLabelTextInput()

virtual void vtkMeasurementCubeHandleRepresentation3D::SetLabelTextInput | ( | const char * | label | ) |
| virtual

A label may be associated with the cube.

The string can be set via SetLabelText. The visibility of the label can be turned on / off.

## ◆ GetLabelTextInput()

virtual char* vtkMeasurementCubeHandleRepresentation3D::GetLabelTextInput | ( |  | ) |
| virtual

A label may be associated with the cube.

The string can be set via SetLabelText. The visibility of the label can be turned on / off.

## ◆ GetLabelText()

virtual vtkBillboardTextActor3D* vtkMeasurementCubeHandleRepresentation3D::GetLabelText | ( |  | ) |
| virtual

Get the label text actor.

## ◆ SetHandleVisibility()

virtual void vtkMeasurementCubeHandleRepresentation3D::SetHandleVisibility | ( | vtkTypeBool |  | ) |
| virtual

Toggle the visibility of the handle on and off.

## ◆ GetHandleVisibility()

virtual vtkTypeBool vtkMeasurementCubeHandleRepresentation3D::GetHandleVisibility | ( |  | ) |
| virtual

Toggle the visibility of the handle on and off.

## ◆ HandleVisibilityOn()

virtual void vtkMeasurementCubeHandleRepresentation3D::HandleVisibilityOn | ( |  | ) |
| virtual

Toggle the visibility of the handle on and off.

## ◆ HandleVisibilityOff()

virtual void vtkMeasurementCubeHandleRepresentation3D::HandleVisibilityOff | ( |  | ) |
| virtual

Toggle the visibility of the handle on and off.

## ◆ Highlight()

void vtkMeasurementCubeHandleRepresentation3D::Highlight | ( | int | highlight | ) |
| override

Toggle highlighting (used when the cube is selected).

## ◆ SetSmoothMotion()

virtual void vtkMeasurementCubeHandleRepresentation3D::SetSmoothMotion | ( | vtkTypeBool |  | ) |
| virtual

Turn on/off smooth motion of the handle.

See the documentation of MoveFocusRequest for details. By default, SmoothMotion is ON. However, in certain applications the user may want to turn it off. For instance when using certain specific PointPlacer's with the representation such as the vtkCellCentersPointPlacer, which causes the representation to snap to the center of cells. In such cases, inherent restrictions on handle placement might conflict with a request for smooth motion of the handles.

## ◆ GetSmoothMotion()

virtual vtkTypeBool vtkMeasurementCubeHandleRepresentation3D::GetSmoothMotion | ( |  | ) |
| virtual

Turn on/off smooth motion of the handle.

See the documentation of MoveFocusRequest for details. By default, SmoothMotion is ON. However, in certain applications the user may want to turn it off. For instance when using certain specific PointPlacer's with the representation such as the vtkCellCentersPointPlacer, which causes the representation to snap to the center of cells. In such cases, inherent restrictions on handle placement might conflict with a request for smooth motion of the handles.

## ◆ SmoothMotionOn()

virtual void vtkMeasurementCubeHandleRepresentation3D::SmoothMotionOn | ( |  | ) |
| virtual

Turn on/off smooth motion of the handle.

See the documentation of MoveFocusRequest for details. By default, SmoothMotion is ON. However, in certain applications the user may want to turn it off. For instance when using certain specific PointPlacer's with the representation such as the vtkCellCentersPointPlacer, which causes the representation to snap to the center of cells. In such cases, inherent restrictions on handle placement might conflict with a request for smooth motion of the handles.

## ◆ SmoothMotionOff()

virtual void vtkMeasurementCubeHandleRepresentation3D::SmoothMotionOff | ( |  | ) |
| virtual

Turn on/off smooth motion of the handle.

See the documentation of MoveFocusRequest for details. By default, SmoothMotion is ON. However, in certain applications the user may want to turn it off. For instance when using certain specific PointPlacer's with the representation such as the vtkCellCentersPointPlacer, which causes the representation to snap to the center of cells. In such cases, inherent restrictions on handle placement might conflict with a request for smooth motion of the handles.

## ◆ SetSideLength()

void vtkMeasurementCubeHandleRepresentation3D::SetSideLength | ( | double |  | ) |

Set the length of a side of the cube (default is 1).

## ◆ GetSideLength()

virtual double vtkMeasurementCubeHandleRepresentation3D::GetSideLength | ( |  | ) |
| virtual

Set the length of a side of the cube (default is 1).

## ◆ SetAdaptiveScaling()

virtual void vtkMeasurementCubeHandleRepresentation3D::SetAdaptiveScaling | ( | vtkTypeBool |  | ) |
| virtual

Turn on/off adaptive scaling for the cube.

## ◆ GetAdaptiveScaling()

virtual vtkTypeBool vtkMeasurementCubeHandleRepresentation3D::GetAdaptiveScaling | ( |  | ) |
| virtual

Turn on/off adaptive scaling for the cube.

## ◆ AdaptiveScalingOn()

virtual void vtkMeasurementCubeHandleRepresentation3D::AdaptiveScalingOn | ( |  | ) |
| virtual

Turn on/off adaptive scaling for the cube.

## ◆ AdaptiveScalingOff()

virtual void vtkMeasurementCubeHandleRepresentation3D::AdaptiveScalingOff | ( |  | ) |
| virtual

Turn on/off adaptive scaling for the cube.

## ◆ SetRescaleFactor()

virtual void vtkMeasurementCubeHandleRepresentation3D::SetRescaleFactor | ( | double |  | ) |
| virtual

Set/Get the rescaling increment for the cube.

This value is applied to each dimension, so volume scaling = std::pow(RescaleFactor, 3).

## ◆ GetRescaleFactor()

virtual double vtkMeasurementCubeHandleRepresentation3D::GetRescaleFactor | ( |  | ) |
| virtual

Set/Get the rescaling increment for the cube.

This value is applied to each dimension, so volume scaling = std::pow(RescaleFactor, 3).

## ◆ SetMinRelativeCubeScreenArea()

void vtkMeasurementCubeHandleRepresentation3D::SetMinRelativeCubeScreenArea | ( | double |  | ) |

Set the min/max cube representational area relative to the render window area.

If adaptive scaling is on and the cube's image is outside of these bounds, the cube is adaptively scaled. The max and min relative cube sizes are clamped between 1. and 1.e-6, and MaxRelativeubeSize must be more than `RescaleFactor` greater than MinRelativeCubeScreenArea.

## ◆ GetMinRelativeCubeScreenArea()

virtual double vtkMeasurementCubeHandleRepresentation3D::GetMinRelativeCubeScreenArea | ( |  | ) |
| virtual

Set the min/max cube representational area relative to the render window area.

If adaptive scaling is on and the cube's image is outside of these bounds, the cube is adaptively scaled. The max and min relative cube sizes are clamped between 1. and 1.e-6, and MaxRelativeubeSize must be more than `RescaleFactor` greater than MinRelativeCubeScreenArea.

## ◆ SetMaxRelativeCubeScreenArea()

void vtkMeasurementCubeHandleRepresentation3D::SetMaxRelativeCubeScreenArea | ( | double |  | ) |

Set the min/max cube representational area relative to the render window area.

If adaptive scaling is on and the cube's image is outside of these bounds, the cube is adaptively scaled. The max and min relative cube sizes are clamped between 1. and 1.e-6, and MaxRelativeubeSize must be more than `RescaleFactor` greater than MinRelativeCubeScreenArea.

## ◆ GetMaxRelativeCubeScreenArea()

virtual double vtkMeasurementCubeHandleRepresentation3D::GetMaxRelativeCubeScreenArea | ( |  | ) |
| virtual

Set the min/max cube representational area relative to the render window area.

If adaptive scaling is on and the cube's image is outside of these bounds, the cube is adaptively scaled. The max and min relative cube sizes are clamped between 1. and 1.e-6, and MaxRelativeubeSize must be more than `RescaleFactor` greater than MinRelativeCubeScreenArea.

## ◆ SetLengthUnit()

virtual void vtkMeasurementCubeHandleRepresentation3D::SetLengthUnit | ( | const char * |  | ) |
| virtual

Set the label for the unit of length of a side of the cube.

## ◆ GetLengthUnit()

virtual char* vtkMeasurementCubeHandleRepresentation3D::GetLengthUnit | ( |  | ) |
| virtual

Set the label for the unit of length of a side of the cube.

## ◆ RegisterPickers()

void vtkMeasurementCubeHandleRepresentation3D::RegisterPickers | ( |  | ) |
| overridevirtual

Register internal Pickers in the Picking Manager.

Must be reimplemented by concrete widget representations to register their pickers.

Reimplemented from vtkWidgetRepresentation.

## ◆ Scale()

virtual void vtkMeasurementCubeHandleRepresentation3D::Scale | ( | const double * | p1,
|  | const double * | p2,
|  | const double | eventPos[2]
| ) |  |
| protectedvirtual

## ◆ MoveFocus()

virtual void vtkMeasurementCubeHandleRepresentation3D::MoveFocus | ( | const double * | p1,
|  | const double * | p2
| ) |  |
| protectedvirtual

## ◆ CreateDefaultProperties()

void vtkMeasurementCubeHandleRepresentation3D::CreateDefaultProperties | ( |  | ) |
| protected

## ◆ ScaleIfNecessary()

void vtkMeasurementCubeHandleRepresentation3D::ScaleIfNecessary | ( | vtkViewport * |  | ) |
| protected

If adaptive scaling is enabled, rescale the cube so that its representational area in the display window falls between `MinRelativeCubeScreenArea` and `MaxRelativeCubeScreenArea`.

## ◆ MoveFocusRequest()

void vtkMeasurementCubeHandleRepresentation3D::MoveFocusRequest | ( | const double * | p1,
|  | const double * | p2,
|  | const double | eventPos[2],
|  | double | requestedDisplayPos[3]
| ) |  |
| protected

Given a motion vector defined by p1 --> p2 (p1 and p2 are in world coordinates), the new display position of the handle center is populated into requestedDisplayPos.

This is again only a request for the new display position. It is up to the point placer to deduce the appropriate world co-ordinates that this display position will map into. The placer may even disallow such a movement. If "SmoothMotion" is OFF, the returned requestedDisplayPos is the same as the event position, ie the location of the mouse cursor. If its OFF, incremental offsets as described above are used to compute it.

## ◆ SetUniformScale()

virtual void vtkMeasurementCubeHandleRepresentation3D::SetUniformScale | ( | double | scale | ) |
| protectedvirtual

The handle may be scaled uniformly in all three dimensions using this API.

The handle can also be scaled interactively using the right mouse button.

## ◆ UpdateHandle()

virtual void vtkMeasurementCubeHandleRepresentation3D::UpdateHandle | ( |  | ) |
| protectedvirtual

Update the actor position.

Different subclasses handle this differently. For instance vtkPolygonalHandleRepresentation3D updates the handle transformation and sets this on the handle. vtkOrientedPolygonalHandleRepresentation3D, which uses a vtkFollower to keep the handle geometry facinig the camera handles this differently. This is an opportunity for subclasses to update the actor's position etc each time the handle is rendered.

## ◆ UpdateLabel()

virtual void vtkMeasurementCubeHandleRepresentation3D::UpdateLabel | ( |  | ) |
| protectedvirtual

Opportunity to update the label position and text during each render.

## Member Data Documentation

## ◆ Actor

vtkActor* vtkMeasurementCubeHandleRepresentation3D::Actor
| protected

Definition at line 217 of file vtkMeasurementCubeHandleRepresentation3D.h.

## ◆ Mapper

vtkPolyDataMapper* vtkMeasurementCubeHandleRepresentation3D::Mapper
| protected

Definition at line 218 of file vtkMeasurementCubeHandleRepresentation3D.h.

## ◆ HandleTransformFilter

vtkTransformPolyDataFilter* vtkMeasurementCubeHandleRepresentation3D::HandleTransformFilter
| protected

Definition at line 219 of file vtkMeasurementCubeHandleRepresentation3D.h.

## ◆ HandleTransform

vtkMatrixToLinearTransform* vtkMeasurementCubeHandleRepresentation3D::HandleTransform
| protected

Definition at line 220 of file vtkMeasurementCubeHandleRepresentation3D.h.

## ◆ HandleTransformMatrix

vtkMatrix4x4* vtkMeasurementCubeHandleRepresentation3D::HandleTransformMatrix
| protected

Definition at line 221 of file vtkMeasurementCubeHandleRepresentation3D.h.

## ◆ HandlePicker

vtkCellPicker* vtkMeasurementCubeHandleRepresentation3D::HandlePicker
| protected

Definition at line 222 of file vtkMeasurementCubeHandleRepresentation3D.h.

## ◆ LastPickPosition

double vtkMeasurementCubeHandleRepresentation3D::LastPickPosition[3]
| protected

Definition at line 223 of file vtkMeasurementCubeHandleRepresentation3D.h.

## ◆ LastEventPosition

double vtkMeasurementCubeHandleRepresentation3D::LastEventPosition[2]
| protected

Definition at line 224 of file vtkMeasurementCubeHandleRepresentation3D.h.

## ◆ Property

vtkProperty* vtkMeasurementCubeHandleRepresentation3D::Property
| protected

Definition at line 225 of file vtkMeasurementCubeHandleRepresentation3D.h.

## ◆ SelectedProperty

vtkProperty* vtkMeasurementCubeHandleRepresentation3D::SelectedProperty
| protected

Definition at line 226 of file vtkMeasurementCubeHandleRepresentation3D.h.

## ◆ WaitingForMotion

int vtkMeasurementCubeHandleRepresentation3D::WaitingForMotion
| protected

Definition at line 227 of file vtkMeasurementCubeHandleRepresentation3D.h.

## ◆ WaitCount

int vtkMeasurementCubeHandleRepresentation3D::WaitCount
| protected

Definition at line 228 of file vtkMeasurementCubeHandleRepresentation3D.h.

## ◆ HandleVisibility

vtkTypeBool vtkMeasurementCubeHandleRepresentation3D::HandleVisibility
| protected

Definition at line 229 of file vtkMeasurementCubeHandleRepresentation3D.h.

## ◆ Offset

double vtkMeasurementCubeHandleRepresentation3D::Offset[3]
| protected

Definition at line 230 of file vtkMeasurementCubeHandleRepresentation3D.h.

## ◆ AdaptiveScaling

vtkTypeBool vtkMeasurementCubeHandleRepresentation3D::AdaptiveScaling
| protected

Definition at line 231 of file vtkMeasurementCubeHandleRepresentation3D.h.

## ◆ RescaleFactor

double vtkMeasurementCubeHandleRepresentation3D::RescaleFactor
| protected

Definition at line 232 of file vtkMeasurementCubeHandleRepresentation3D.h.

## ◆ MinRelativeCubeScreenArea

double vtkMeasurementCubeHandleRepresentation3D::MinRelativeCubeScreenArea
| protected

Definition at line 233 of file vtkMeasurementCubeHandleRepresentation3D.h.

## ◆ MaxRelativeCubeScreenArea

double vtkMeasurementCubeHandleRepresentation3D::MaxRelativeCubeScreenArea
| protected

Definition at line 234 of file vtkMeasurementCubeHandleRepresentation3D.h.

## ◆ SideLength

double vtkMeasurementCubeHandleRepresentation3D::SideLength
| protected

Definition at line 235 of file vtkMeasurementCubeHandleRepresentation3D.h.

## ◆ LengthUnit

char* vtkMeasurementCubeHandleRepresentation3D::LengthUnit
| protected

Definition at line 236 of file vtkMeasurementCubeHandleRepresentation3D.h.

## ◆ LabelVisibility

vtkTypeBool vtkMeasurementCubeHandleRepresentation3D::LabelVisibility
| protected

Definition at line 289 of file vtkMeasurementCubeHandleRepresentation3D.h.

## ◆ SelectedLabelVisibility

vtkTypeBool vtkMeasurementCubeHandleRepresentation3D::SelectedLabelVisibility
| protected

Definition at line 290 of file vtkMeasurementCubeHandleRepresentation3D.h.

## ◆ LabelText

vtkBillboardTextActor3D* vtkMeasurementCubeHandleRepresentation3D::LabelText
| protected

Definition at line 291 of file vtkMeasurementCubeHandleRepresentation3D.h.

## ◆ LabelAnnotationTextScaleInitialized

bool vtkMeasurementCubeHandleRepresentation3D::LabelAnnotationTextScaleInitialized
| protected

Definition at line 292 of file vtkMeasurementCubeHandleRepresentation3D.h.

## ◆ SmoothMotion

vtkTypeBool vtkMeasurementCubeHandleRepresentation3D::SmoothMotion
| protected

Definition at line 293 of file vtkMeasurementCubeHandleRepresentation3D.h.

The documentation for this class was generated from the following file:

- Interaction/Widgets/vtkMeasurementCubeHandleRepresentation3D.h